aboutsummaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorKristaps Kaupe <kristaps@blogiem.lv>2019-08-31 00:00:11 +0300
committerKristaps Kaupe <kristaps@blogiem.lv>2019-08-31 00:00:11 +0300
commit8340763dc3278c828ee7d525de4c71b4615d17cc (patch)
treefd9c2cc591f973d42f8d520e396b4baf022037c6 /test
parentf5db3f2128f0b293432a5a36cb0314b501019a06 (diff)
downloadbitcoin-8340763dc3278c828ee7d525de4c71b4615d17cc.tar.xz
Check for codespell in lint-spelling.sh
Similar check for spellcheck already exists in lint-shell.sh
Diffstat (limited to 'test')
-rwxr-xr-xtest/lint/lint-spelling.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/test/lint/lint-spelling.sh b/test/lint/lint-spelling.sh
index 5d672698a7..e70b73e1cc 100755
--- a/test/lint/lint-spelling.sh
+++ b/test/lint/lint-spelling.sh
@@ -9,6 +9,11 @@
export LC_ALL=C
+if ! command -v codespell > /dev/null; then
+ echo "Skipping spell check linting since codespell is not installed."
+ exit 0
+fi
+
IGNORE_WORDS_FILE=test/lint/lint-spelling.ignore-words.txt
if ! codespell --check-filenames --disable-colors --quiet-level=7 --ignore-words=${IGNORE_WORDS_FILE} $(git ls-files -- ":(exclude)build-aux/m4/" ":(exclude)contrib/seeds/*.txt" ":(exclude)depends/" ":(exclude)doc/release-notes/" ":(exclude)src/leveldb/" ":(exclude)src/qt/locale/" ":(exclude)src/secp256k1/" ":(exclude)src/univalue/"); then
echo "^ Warning: codespell identified likely spelling errors. Any false positives? Add them to the list of ignored words in ${IGNORE_WORDS_FILE}"